%global momorel 6
%define tarball xf86-video-ati
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha
%define with_dri	1
%else
%define with_dri	0
%endif

Summary:   Xorg X11 ati video driver
Name:      xorg-x11-drv-ati
Version:   6.7.197
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-root
%global xorgurl http://xorg.freedesktop.org/releases/individual
Source0: %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 
NoSource: 0
Source1:   ati.xinf
Source2:   r128.xinf
Source3:   radeon.xinf
Source4:   radeonhd.xinf

# RADEON Avivo(Radeon X1xxx or later) Driver
Source10: xf86-video-avivo-20071007.tar.bz2

# Radeon HD video driver
#Source20: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-radeonhd-1.1.0.tar.bz2
#NoSource: 20
Source20: xf86-video-radeonhd-20080204.tar.bz2

Patch1: radeon-git-upstream-fixes.patch

ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: libpciaccess-devel
BuildRequires: xorg-x11-server-sdk >= 1.3
%if %{with_dri}
BuildRequires: mesa-libGL-devel >= 6.5.1
BuildRequires: libdrm-devel >= 2.0.3
%endif

Requires:  xorg-x11-server-Xorg >= 1.3
Requires:  libpciaccess

%description 
X.Org X11 ati video driver.

%prep
%setup -q -n %{tarball}-%{version} -b 10 -b 20

%patch1 -p1 -b .upstream

%build
autoreconf -if
%configure --disable-static
%make

pushd ../xf86-video-avivo*
autoreconf -fi
%configure --disable-static
%make
popd

pushd ../xf86-video-radeonhd*
autoreconf -fi
%configure --disable-static
%make
popd

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

pushd ../xf86-video-avivo*
make install DESTDIR=$RPM_BUILD_ROOT
popd

pushd ../xf86-video-radeonhd*
make install DESTDIR=$RPM_BUILD_ROOT
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/
# install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/avivotool
%{driverdir}/ati_drv.so
%{driverdir}/mach64_drv.so
%{driverdir}/r128_drv.so
%{driverdir}/radeon_drv.so
%{driverdir}/avivo_drv.so
%{driverdir}/radeonhd_drv.so
%{_datadir}/hwdata/videoaliases/ati.xinf
# %{_datadir}/hwdata/videoaliases/radeonhd.xinf
%{_datadir}/hwdata/videoaliases/r128.xinf
%{_datadir}/hwdata/videoaliases/radeon.xinf
%{moduledir}/multimedia/theatre200_drv.so
%{moduledir}/multimedia/theatre_detect_drv.so
%{moduledir}/multimedia/theatre_drv.so
%{_mandir}/man4/ati.4*
%{_mandir}/man4/r128.4*
%{_mandir}/man4/radeon.4*
%{_mandir}/man4/radeonhd.4*

%changelog
* Sun Feb 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.197-5m)
- no use radeonhd.xinf. radeonhd driver still buggy.

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.197-5m)
- import upstream-fix patch
- update ati.xinf
- rename avivo.xinf to radeonhd.xinf
- update xf86-video-radeonhd-20080211.tar.bz2

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.197-4m)
- %%NoSource -> NoSource

* Thu Jan 31 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.197-3m)
- update xf86-video-radeonhd-20080131.tar.bz2

* Sun Dec 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.197-2m)
- update xf86-video-radeonhd-1.1.0

* Fri Dec 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.197-1m)
- update 6.7.197
- update xf86-video-radeonhd-20071221

* Fri Nov 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.196-2m)
- update xf86-video-radeonhd-1.0

* Mon Nov 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.196-1m)
- update 6.7.196
- update xf86-video-radeonhd-20071105

* Fri Oct 26 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.195-2m)
- update xf86-video-radeonhd-20071026
- R5xx default avivo to radeonhd

* Sun Oct  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.195-1m)
- update 6.7.195
- xf86-video-radeonhd-20071007
- xf86-video-avivo-20071007

-- xf86-video-radeonhd
* Tue Sep 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.194-1m)
- update 6.7.194
- add Radeon HD video driver
-- xf86-video-radeonhd

* Sat Sep 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.193-1m)
- update 6.7.193
- update avivo-20070921

* Fri Sep 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.192-2m)
- rebuild against xorg-x11-server-1.4

* Mon Aug 27 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.192-1m)
- update 6.7.192

* Sat Aug 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.191-2m)
- update xf86-video-avivo-20070825

* Thu Aug 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.7.191-1m)
- update 6.7.191

* Sun Aug  5 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.193-1m)
- update 6.6.193

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.192-4m)
- add avivo.xinf
- update xf86-video-avivo 20070731

* Tue Jul 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.192-3m)
- update xf86-video-avivo 20070724

* Sun Jul  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.192-2m)
- unpatch radeon-6.6.192-dotclock-filter.patch.
-- SEGV X.org

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.192-1m)
- update 6.6.192
- import xf86-video-avivo(r5xx driver for Xorg) driver

* Sat Apr 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.191-3m)
- update radeon.xinf

* Tue Apr  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.191-2m)
- add xorg-x11-drv-ati-bts10442.patch
-- https://bugs.freedesktop.org/show_bug.cgi?id=10442

* Wed Mar 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.6.191-1m)
- update to 6.6.191

* Wed Oct  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.6.3-1m)
- update to 6.6.3

* Fri Aug 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.6.2-1m)
- update to 6.6.2

* Sun Jun 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.6.1-1m)
- update to 6.6.1

* Wed May 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (6.6.0-2m)
- delete duplicated dir

* Tue Apr 11 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (6.6.0-1m)
- update 6.6.0(Xorg-7.1RC1)

* Fri Feb 24 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.5.7.3-4m)
- import to Momonga

* Tue Feb 21 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-4
- Added xorg-x11-drv-ati-6.5.7.3-radeon-metamodes-SEGV-fix.patch from CVS HEAD.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 6.5.7.3-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 6.5.7.3-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Feb 05 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-3
- Updated radeon.xinf to be up to date with the xf86PciInfo.h from the Xorg
  X server 1.0.1-1 source.  This should account for all supported Radeon
  models now modulo errors/omissions.

* Thu Feb 02 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-2
- Added r128.xinf and radeon.xinf videoalias files to fix bug (#174101).
- Added "BuildRequires: libdrm-devel >= 2.0-1" to fix bug (#178613)

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 6.5.7.3-1
- Updated xorg-x11-drv-ati to version 6.5.7.3 from X11R7.0
- Added ati.xinf videoalias file for hardware autodetection.

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 6.5.7.2-1
- Updated xorg-x11-drv-ati to version 6.5.7.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 6.5.7-1
- Updated xorg-x11-drv-ati to version 6.5.7 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 6.5.6.1-1
- Updated xorg-x11-drv-ati to version 6.5.6.1 from X11R7 RC1
- Fix *.la file removal.
- Add "BuildRequires: mesa-libGL-devel >= 6.4-4 for DRI builds"

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 6.5.6-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Use _smp_mflags with make, to speed up SMP builds.
- Add "alpha sparc sparc64" to ExclusiveArch

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 6.5.6-0
- Initial spec file for ati video driver generated automatically
  by my xorg-driverspecgen script.
